import { Router } from '@angular/router';
import { FormBuilder, FormGroup, FormControl } from '@angular/forms';
import { OnInit, ChangeDetectorRef } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { SearchCountryField, CountryISO } from 'ngx-intl-tel-input';
import { NgxSpinnerService } from 'ngx-spinner';
import { Location } from '@angular/common';
import { AuthenticationService, UsersService } from 'interfaceft-icb-lib-services';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
import { AppState } from 'interfaceft-icb-lib-header';
import * as i0 from "@angular/core";
export declare class EditAccountProfileFormComponent implements OnInit {
    private formBuilder;
    private authService;
    private userService;
    dialog: MatDialog;
    private cdr;
    private router;
    private spinner;
    private location;
    private store;
    profileimg: string;
    search: string;
    Form: FormGroup;
    DaysAllowed: FormGroup;
    separateDialCode: boolean;
    SearchCountryField: typeof SearchCountryField;
    CountryISO: typeof CountryISO;
    institutionCountry: any;
    filtermode: any;
    days: string[];
    emailValid: boolean;
    usernameValid: boolean;
    contactValid: boolean;
    debouncer4: any;
    debouncer2: any;
    debouncer1: any;
    loginDaysError: boolean;
    isFilterAll: boolean;
    filterStatus: any;
    mySubscription: any;
    loadingMessage: string;
    institution: any;
    showPermissions: boolean;
    selectedDays: string[];
    AuthUser$: Observable<any>;
    UserPermissions$: Observable<any[]>;
    Dictionaries$: Observable<any>;
    Agencies$: Observable<any[]>;
    Branches$: Observable<any[]>;
    UserGroups$: Observable<any[]>;
    constructor(formBuilder: FormBuilder, authService: AuthenticationService, userService: UsersService, dialog: MatDialog, cdr: ChangeDetectorRef, router: Router, spinner: NgxSpinnerService, location: Location, store: Store<AppState>);
    ngOnInit(): void;
    fetchBranches(): void;
    populateform(): void;
    setDaysAllowed(): void;
    getUserSelectedDay(day: string): string;
    editSelectedDay(event: any): void;
    getimage(): void;
    titleCase(str: any): any;
    branchChange(event: any): void;
    fetchAgency(): void;
    getBranchAgency(): void;
    isUsernameUnique(control: FormControl): Promise<unknown>;
    isEmailUnique(control: FormControl): Promise<unknown>;
    isPhoneUnique(control: FormControl): Promise<unknown>;
    setIPADDRESSValidations(): void;
    setModuleEvent(event: any, appeventid: number): void;
    setEvent(event: any, appeventid: number): void;
    alertWithSuccess(title: any, message: any): void;
    alertWithError(title: any, message: any): void;
    update(): void;
    confirmDialog(): void;
    updateData(): void;
    viewPermissiontab(): void;
    hidePermissiontab(): void;
    ngOnDestroy(): void;
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditAccountProfileFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EditAccountProfileFormComponent, "authdashboard-edit-profile-form", never, {}, {}, never, never>;
}
